PRO plot_v_seq, LINE1=a, LINE2=b, LINE3=d, LINE4=e, MODEL=model, OPLOT=OPLOT, NO_V_LABS=NO_V_LABS, _EXTRA=extras

c = model.arr
v = model.v
atom = model.L.A
ion_state= model.L.I
w = model.L.W

IF N_ELEMENTS(a) EQ 1 THEN n1=c(*,a) ELSE n1=total(c(*,a),2)
IF N_ELEMENTS(b) EQ 1 THEN d1=c(*,b) ELSE d1=total(c(*,b),2)
IF N_ELEMENTS(d) EQ 1 THEN n2=c(*,d) ELSE n2=total(c(*,d),2)
IF N_ELEMENTS(e) EQ 1 THEN d2=c(*,e) ELSE d2=total(c(*,e),2)

;
;
; Construct the axis titles.
a_wave ='' 
FOR i=0,N_ELEMENTS(a)-1 DO BEGIN
a_wave = a_wave + ' ' +STRCOMPRESS(STRING(w(a(i))), /REMOVE_ALL)
ENDFOR

b_wave ='' 
FOR i=0,N_ELEMENTS(b)-1 DO BEGIN
b_wave = b_wave + ' ' +STRCOMPRESS(STRING(w(b(i))), /REMOVE_ALL)
ENDFOR

d_wave ='' 
FOR i=0,N_ELEMENTS(d)-1 DO BEGIN
d_wave = d_wave + ' ' +STRCOMPRESS(STRING(w(d(i))), /REMOVE_ALL)
ENDFOR

e_wave ='' 
FOR i=0,N_ELEMENTS(e)-1 DO BEGIN
e_wave = e_wave + ' ' +STRCOMPRESS(STRING(w(e(i))), /REMOVE_ALL)
ENDFOR

;window, xsize=500, ysize=500

IF NOT KEYWORD_SET(oplot) THEN BEGIN
plot, ALOG10(n1/d1), ALOG10(n2/d2),$
xtitle=atom(a(0))+ion_state(a(0))+a_wave+'/'+atom(b(0))+ion_state(b(0))+b_wave, $
ytitle=atom(d(0))+ion_state(d(0))+d_wave+'/'+atom(e(0))+ion_state(e(0))+e_wave, $
POS=[0.1,0.1,0.9,0.9], _EXTRA=extras 
;
ENDIF ELSE BEGIN
oplot, ALOG10(n1/d1), ALOG10(n2/d2), _EXTRA=extras
ENDELSE

; Label sequence with the shock velocity
IF NOT KEYWORD_SET(no_v_labs) THEN xyouts, ALOG10(n1/d1), ALOG10(n2/d2), STRCOMPRESS(STRING(FIX(v)))

;FOR j=0,n_elements(v)-1 DO BEGIN
;print, 'xyouts, ', ALOG10(n1[j]/d1[j]), ',',  ALOG10(n2[j]/d2[j]), ", '" , STRCOMPRESS(STRING(FIX(v[j]))),"'"
;ENDFOR

;
; 
;xyouts, 0.1, 0.95, model.name, /NORMAL
END





